# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${CMAKE_SOURCE_DIR}/libtdegames/kgame
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kgamedialogs (static) #####################

tde_add_library( kgamedialogs STATIC_PIC AUTOMOC
  SOURCES kgamedialog.cpp kgameconnectdialog.cpp kgameerrordialog.cpp
    kgamedebugdialog.cpp kgamedialogconfig.cpp
)


##### headers ###################################
install( FILES kgamedialog.h kgameconnectdialog.h kgameerrordialog.h
  kgamedebugdialog.h kgamedialogconfig.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kgame/dialogs
)
